package ru.yandex.canvas.model;

import java.util.List;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;

/**
 * @author skirsanov
 */
public class MediaSetItem extends AbstractMediaSetItem<MediaSetSubItem> {

    @Valid
    @NotNull
    private List<MediaSetSubItem> items;


    @Override
    public List<MediaSetSubItem> getItems() {
        return items;
    }

    @Override
    public void setItems(List<MediaSetSubItem> items) {
        this.items = items;
    }


    @Override
    public String toString() {
        return "MediaSetItem{" +
                "items=" + items +
                "} " + super.toString();
    }
}
